package org.project.entity;

public interface Entity {

    void takeDamage(int damage);

    int getMaxHP();

    boolean heal(int health);

    boolean isAlive();
    /*
    TODO: ADD OTHER REQUIRED AND BONUS METHODS
    */
}
